Not make-ing on Ubuntu 10.10 Node v0.5.5 #13

Closed
KellyLSB opened this Issue Sep 6, 2011 · 2 comments

Projects

None yet

2 participants

@KellyLSB
KellyLSB commented Sep 6, 2011

BUILDING: C++ Component
Checking for program g++ or c++ : /usr/bin/g++
Checking for program cpp : /usr/bin/cpp
Checking for program ar : /usr/bin/ar
Checking for program ranlib : /usr/bin/ranlib
Checking for g++ : ok
Checking for node path : not found
Checking for node prefix : ok /usr/local/node
'configure' finished successfully (0.034s)
Waf: Entering directory /home/kbecker/node_modules/now/node_modules/node-proxy/src/build' [1/2] cxx: node-proxy.cc -> build/Release/node-proxy_1.o [2/2] cxx_link: build/Release/node-proxy_1.o -> build/Release/node-proxy.node Waf: Leaving directory/home/kbecker/node_modules/now/node_modules/node-proxy/src/build'
'build' finished successfully (0.832s)
cp: cannot stat src/build/default/node-proxy.node': No such file or directory make: *** [all] Error 1 npm ERR! error installing node-proxy@0.5.1 Error: node-proxy@0.5.1 install:makenpm ERR! error installing node-proxy@0.5.1sh "-c" "make"failed with 2 npm ERR! error installing node-proxy@0.5.1 at ChildProcess.<anonymous> (/usr/local/node/lib/node_modules/npm/lib/utils/exec.js:49:20) npm ERR! error installing node-proxy@0.5.1 at ChildProcess.emit (events.js:70:17) npm ERR! error installing node-proxy@0.5.1 at ChildProcess.onexit (child_process_legacy.js:246:12) npm ERR! error installing now@0.7.4 Error: node-proxy@0.5.1 install:makenpm ERR! error installing now@0.7.4sh "-c" "make"failed with 2 npm ERR! error installing now@0.7.4 at ChildProcess.<anonymous> (/usr/local/node/lib/node_modules/npm/lib/utils/exec.js:49:20) npm ERR! error installing now@0.7.4 at ChildProcess.emit (events.js:70:17) npm ERR! error installing now@0.7.4 at ChildProcess.onexit (child_process_legacy.js:246:12) npm ERR! node-proxy@0.5.1 install:makenpm ERR!sh "-c" "make"` failed with 2
npm ERR!
npm ERR! Failed at the node-proxy@0.5.1 install script.
npm ERR! This is most likely a problem with the node-proxy package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! make
npm ERR! You can get their info via:
npm ERR! npm owner ls node-proxy
npm ERR! There is likely additional logging output above.
npm ERR!
npm ERR! System Linux 2.6.35.4-rscloud
npm ERR! command "node" "/usr/local/node/bin/npm" "install" "now"
npm ERR! cwd /home/kbecker
npm ERR! node -v v0.5.5
npm ERR! npm -v 1.0.27
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /home/kbecker/npm-debug.log
npm not ok

@samshull samshull pushed a commit that closed this issue Sep 6, 2011
Sam Shull Update for compatibility with node
- node-waf builds now go into a Release directory, but in order to
  remain compatible, we will just glob for the correct file
- node paths are now stored in an environment variable, tests must be
  updated for compatibility
- version bump

fixes #13
e242ef0
@samshull samshull closed this in e242ef0 Sep 6, 2011
@samshull
Owner
samshull commented Sep 6, 2011

Was that fix fast enough? I had it sitting on my laptop. :)

@KellyLSB
KellyLSB commented Sep 6, 2011

Beautiful thanks :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment